List All Credentials (v1)
curl --request GET \
--url https://api.flare.io/leaksdb/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flare.io/leaksdb/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flare.io/leaksdb/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"credential_hash": "889d9ba6efa420d3dff7822c9119e744",
"domain": "web.de",
"extra": {},
"hash": "password123",
"hash_type": "unknown",
"id": 1,
"identity_name": "bob@example.com",
"imported_at": "2019-06-03T14:20:25.132662+00:00",
"source": null,
"source_id": "collection-1",
"source_params": null
},
{
"credential_hash": "67033809d2befde723e2cb6893c470ef",
"domain": "arcor.de",
"extra": {},
"hash": "sunshine",
"hash_type": "unknown",
"id": 2,
"identity_name": "sarah@example.net",
"imported_at": "2019-06-03T14:20:25.132662+00:00",
"source": null,
"source_id": "collection-1",
"source_params": null
}
]
Credentials
List All Credentials (v1)
GET
/
leaksdb
/
credentials
List All Credentials (v1)
DEPRECATED: It is no longer possible to access a list of all credentials in Flare’s database. This endpoint should be replaced by
/astp/v2/credentials/_search
[
{
"credential_hash": "889d9ba6efa420d3dff7822c9119e744",
"domain": "web.de",
"extra": {},
"hash": "password123",
"hash_type": "unknown",
"id": 1,
"identity_name": "bob@example.com",
"imported_at": "2019-06-03T14:20:25.132662+00:00",
"source": null,
"source_id": "collection-1",
"source_params": null
},
{
"credential_hash": "67033809d2befde723e2cb6893c470ef",
"domain": "arcor.de",
"extra": {},
"hash": "sunshine",
"hash_type": "unknown",
"id": 2,
"identity_name": "sarah@example.net",
"imported_at": "2019-06-03T14:20:25.132662+00:00",
"source": null,
"source_id": "collection-1",
"source_params": null
}
]
Paging
By using the id of the last item from a request as the value for the query parameterfrom of the following request, you will be able to scroll through results.
When the result contains an empty list, you know that you received all results.
Query Parameters
number
Maximum size of the JSON object that will be returned (maximum 5 000)
number
Id of the database entry you want to start from (excluding this id).
string
Order in which you want to browse the credentials. One of
asc or desc.
It defaults to asc which is the recommended way to use the API to obtain newly imported passwords.string
Return only credentials that belong to the specified source.
Was this page helpful?
⌘I